ruby1.9.2 and rails3.0.1 deployment environment

ruby1.9.2 and rails3.0.1 has been released, windows built under the new environmental processes:
Downloaded from the http://rubyforge.org/frs/?group_id=167 rubyinstaller-1.9.2-p0.exe, installation.
Environment variable to increase c: \ ruby192 \ bin; (installed under the root directory in C)
CMD command window enter the ruby-v
C: \> ruby-v
ruby 1.9.2p0 (2010-08-18) [i386-mingw32]
- Instructions to install successfully

Enter the gem-v
C: \> gem-v
1.3.7
- That comes gem1.3.7 1.9.2

Any directory in the CMD command window enter: gem install rails

C: \ Ruby192 \ bin> gem install rails
Successfully installed activesupport-3.0.1
Successfully installed builder-2.1.2
Successfully installed i18n-0.4.1
Successfully installed activemodel-3.0.1
Successfully installed rack-1.2.1
Successfully installed rack-test-0.5.6
Successfully installed rack-mount-0.6.13
Successfully installed tzinfo-0.3.23
Successfully installed abstract-1.0.0
Successfully installed erubis-2.6.6
Successfully installed actionpack-3.0.1
Successfully installed arel-1.0.1
Successfully installed activerecord-3.0.1
Successfully installed activeresource-3.0.1
Successfully installed mime-types-1.16
Successfully installed polyglot-0.3.1
Successfully installed treetop-1.4.8
Successfully installed mail-2.2.7
Successfully installed actionmailer-3.0.1
Successfully installed thor-0.14.3
Successfully installed railties-3.0.1
Successfully installed bundler-1.0.3
Successfully installed rails-3.0.1
23 gems installed
Installing ri documentation for activesupport-3.0.1 ...
Installing ri documentation for builder-2.1.2 ...
Installing ri documentation for i18n-0.4.1 ...
Installing ri documentation for activemodel-3.0.1 ...
Installing ri documentation for rack-1.2.1 ...
Installing ri documentation for rack-test-0.5.6 ...
Installing ri documentation for rack-mount-0.6.13 ...
Installing ri documentation for tzinfo-0.3.23 ...
Installing ri documentation for abstract-1.0.0 ...
Installing ri documentation for erubis-2.6.6 ...
Installing ri documentation for actionpack-3.0.1 ...
Installing ri documentation for arel-1.0.1 ...
Installing ri documentation for activerecord-3.0.1 ...
Installing ri documentation for activeresource-3.0.1 ...
Installing ri documentation for mime-types-1.16 ...
Installing ri documentation for polyglot-0.3.1 ...
Installing ri documentation for treetop-1.4.8 ...
Installing ri documentation for mail-2.2.7 ...
Installing ri documentation for actionmailer-3.0.1 ...
Installing ri documentation for thor-0.14.3 ...
Installing ri documentation for railties-3.0.1 ...
Installing ri documentation for bundler-1.0.3 ...
Installing ri documentation for rails-3.0.1 ...
Installing RDoc documentation for activesupport-3.0.1 ...
Installing RDoc documentation for builder-2.1.2 ...
Installing RDoc documentation for i18n-0.4.1 ...
Installing RDoc documentation for activemodel-3.0.1 ...
Installing RDoc documentation for rack-1.2.1 ...
Installing RDoc documentation for rack-test-0.5.6 ...
Installing RDoc documentation for rack-mount-0.6.13 ...
Installing RDoc documentation for tzinfo-0.3.23 ...
Installing RDoc documentation for abstract-1.0.0 ...
Installing RDoc documentation for erubis-2.6.6 ...
Installing RDoc documentation for actionpack-3.0.1 ...
Installing RDoc documentation for arel-1.0.1 ...
Installing RDoc documentation for activerecord-3.0.1 ...
Installing RDoc documentation for activeresource-3.0.1 ...
Installing RDoc documentation for mime-types-1.16 ...
Installing RDoc documentation for polyglot-0.3.1 ...
Installing RDoc documentation for treetop-1.4.8 ...
Installing RDoc documentation for mail-2.2.7 ...
Installing RDoc documentation for actionmailer-3.0.1 ...
Installing RDoc documentation for thor-0.14.3 ...
Installing RDoc documentation for railties-3.0.1 ...
Installing RDoc documentation for bundler-1.0.3 ...
Installing RDoc documentation for rails-3.0.1 ...

Enter the rails-v
C: \ Ruby192 \ bin> rails-v
Rails 3.0.1
- Rails installation was successful, very smooth, very simple!
Think before ruby1.8.6 and rails2.3.5 not automatically download and install many gems, you need to manually install one by one looking back and take a lot of costly mistakes
  • del.icio.us
  • StumbleUpon
  • Digg
  • TwitThis
  • Mixx
  • Technorati
  • Facebook
  • NewsVine
  • Reddit
  • Google
  • LinkedIn
  • YahooMyWeb

Related Posts of ruby1.9.2 and rails3.0.1 deployment environment

  • flash chart summary

    pen Flash Chart is an open source Flash chart drawing tool, offers a variety of programming interfaces, including PHP, Ruby, Perl, Python, Java,. Net, AS, JS, etc. to generate a variety of data interfaces, and then Flash to display the function is to ...

  • Rails2.0.2 change the default DB adpter

    In Rails2.0.2 rails demo ... ... MissingSourceFile in SayController # hello no such file to load - sqlite3 RAILS_ROOT: / home / kenb / rails-projects / demo ... ... Checked config / database.yml, adpter default is set become the sqlite3. Check the ra ...

  • RSpec troubleshooting

    1.uninitialized constant Dependencies Conditions: In windows under way to install the RSpec gem and rspec-rails. However, in ruby script / spec_server to do the test under the spec your_spec.rb-X will appear uninitialized constant Dependencies (NameE ...

  • Alternative to Java with Ruby to do unit testing interface rest!

    Ruby is long overdue to replace java more flexible and make some necessary changes in a matter of, if not deep-rooted culture of the company's java, I think. . . . . . The following are my Writing for the Rest of the interface used to make the test su

  • Answer: After 2.2 upgrade mysql question-driven

    windows installed after the mysql gem error, error is approximately: ArgumentError (NULL pointer given): (eval): 3: in `each_hash ' (eval): 3: in `all_hashes' This is feeling under the windows of the question if the mysql gem version libmysql ...

  • Workspace run under different Eclipse

    Now do live more and more often required to use eclipse in java and ruby & rails project conducted between the tangential shear from the past, because in the rails project used a coloring Aptana preferences, the results open the java project sour ...

  • Oracle instant clent for ruby / rails on cygwin

    Environment: XP: oracle full client, ruby, rails, gem cygwin: ruby rails, gem (the version with the XP version) Needs: for cygwin is installed under the rails platform support oci Steps: <1> download oracle instant client (10.2.0.3 Instant Client Pa

  • myeclipse plugin

    myeclipsePlug-ins? 1.tomcatPlugin(Start tomcat ):http ://www.sysdeo.com/eclipse/tomcatPlugin.html,2.xVersions of eclipse 3 version 2 .1Version doesn't work. 2.Lomboz(Development of jsp program ,jspDynamic prompt, debugging ):http://forge.objectweb.org/pro

blog comments powered by Disqus
Recent
Recent Entries
Tag Cloud
Random Entries